[tool.poetry]
name = "talk_booking"
version = "0.1.0"
description = ""
authors = ["lgpublic <public.lg@gmail.com>"]

[tool.poetry.dependencies]
python = "^3.9"
fastapi = "^0.70.0"
uvicorn = "^0.15.0"
pydantic = {extras = ["email"], version = "^1.8.2"}
gunicorn = "^20.1.0"
SQLAlchemy = "^1.4.29"
alembic = "^1.7.5"
boto3 = "^1.20.26"
psycopg2-binary = "^2.9.2"

[tool.poetry.dev-dependencies]
pytest = "^6.2.5"
pytest-cov = "^3.0.0"
black = "^21.11b1"
isort = "^5.10.1"
flake8 = "^4.0.1"
bandit = "^1.7.1"
safety = "^1.10.3"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
